(defproject ldview "2"
  :dependencies [[org.clojure/clojure "1.5.1"]
                 [lib-noir "0.7.9"]
                 [compojure "1.1.6"]
                 [ring-server "0.3.1"]
                 [selmer "0.5.9"]
                 [com.taoensso/timbre "3.0.0-RC4"]
                 [com.postspectacular/rotor "0.1.0"]
                 [com.taoensso/tower "2.0.1"]
                 [log4j "1.2.17" :exclusions [javax.mail/mail
                                              javax.jms/jms
                                              com.sun.jdmk/jmxtools
                                              com.sun.jmx/jmxri]]
                 [sqlitejdbc "0.5.6"]
                 [korma "0.3.0-RC6"]
                 [clj-http "0.7.8"]
                 [image-resizer "0.1.6"]
                 [enlive "1.1.5"]
                 [me.raynes/fs "1.4.5"]]

  :main ldview.core
  :plugins [[lein-ring "0.8.10"]]
  :ring {:handler ldview.handler/app
         :init    ldview.handler/init
         :destroy ldview.handler/destroy
         :open-browser? false}
  :profiles {
             :production {:ring {:stacktraces? false}}
             :dev {:ring {:auto-reload? true
                          :auto-refresh? true}
                   :dependencies [[ring-mock "0.1.5"]
                                  [ring/ring-devel "1.2.0"]]}}

  :url "http://ldview.arg-games.com/"
  :description "An alternative Ludum Dare entries viewer"
  :min-lein-version "2.0.0")
